Class | Tk::Iwidgets::Hyperhelp
In: | tk/lib/tkextlib/iwidgets/hyperhelp.rb
Parent: | Tk::Iwidgets::Shell

### Methods

back follow_link forward show_topic

### Constants

TkCommandNames | = | ['::iwidgets::hyperhelp'.freeze].freeze
WidgetClassName | = | 'Hyperhelp'.freeze

### Public Instance methods

back()

[Source]

    # File tk/lib/tkextlib/iwidgets/hyperhelp.rb, line 46
      def back
        tk_call(@path, 'back')
        self
      end

follow_link(href)

[Source]

    # File tk/lib/tkextlib/iwidgets/hyperhelp.rb, line 36
      def follow_link(href)
        tk_call(@path, 'followlink', href)
        self
      end

forward()

[Source]

    # File tk/lib/tkextlib/iwidgets/hyperhelp.rb, line 41
      def forward
        tk_call(@path, 'forward')
        self
      end

show_topic(topic)

[Source]

    # File tk/lib/tkextlib/iwidgets/hyperhelp.rb, line 31
      def show_topic(topic)
        tk_call(@path, 'showtopic', topic)
        self
      end

[Validate]